function z = churchill(Re, eD)
	% Calcolo il fattore A
	A1 = (7./Re).^0.9;
	A2 = 0.27 .* eD;
	A = (2.457 .* log(1 ./ (A1 + A2)) ).^16;

	% Calcolo il fattore B
	B = (37530 ./ Re).^16;

	% Calcolo il fattore di attrito secondo l'equazione di Churchill
	C1 = (8 ./ Re).^12;
	C2 = 1 ./ (A + B).^(3/2);
	z = 2 .* (C1 + C2).^(1/12);
end